Bug 429433 - rpmlinet is not silent over /etc/init.d/ejabberd not being LSB compliant
rpmlinet is not silent over /etc/init.d/ejabberd not being LSB compliant
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-19 18:22 EST by Matěj Cepl
Modified: 2008-02-07 16:00 EST (History)
0 users

See Also:
Fixed In Version: 2.0.0-0.3.rc1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 15:58:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fixing the problem (314 bytes, patch)
2008-01-19 18:22 EST, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Matěj Cepl 2008-01-19 18:22:05 EST
Description of problem:
ejabberd.init does not contain Provides: tag, which is apparently required by LSB.

Version-Release number of selected component (if applicable):
ejabberd-2.0.0-0.rc1.mc.2.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1.run rpmlint -i against the ejabberd binary package
2.
3.
  
Actual results:
tons of unrelated nonsensical messages and one compliant against non-LSB
compliance of the /etc/init.d/ejabberd script

Expected results:
should be silent (IMHO, you should ask rpmlint maintainers for exceptions for
the previous messages, but that's besides this bug)

Additional info:
Comment 1 Matěj Cepl 2008-01-19 18:22:05 EST
Created attachment 292279 [details]
patch fixing the problem
Comment 2 Matěj Cepl 2008-01-19 18:30:05 EST
BTW new build of the last upstream 2.0.0-rc1 is scratch-build at
http://koji.fedoraproject.org/koji/taskinfo?taskID=359971 (and of course this is
fixed there with the attached patch).
Comment 3 Peter Lemenkov 2008-01-23 09:41:23 EST
OK, applied. 
Comment 4 Fedora Update System 2008-01-27 02:14:59 EST
ejabberd-2.0.0-0.3.rc1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ejabberd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F8/FEDORA-2008-1042
Comment 5 Fedora Update System 2008-02-07 15:58:03 EST
ejabberd-2.0.0-0.3.rc1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-02-07 16:00:37 EST
ejabberd-2.0.0-0.3.rc1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.